Page MenuHomePhabricator

[wmf.26] NPP - 'Predicted class: C-class' aritcle returned with B-class article filter
Closed, ResolvedPublic

Description

  1. On enwiki go to Special:NewPagesFeed and select 'Predicted class: B-class' filter option (other filter options should be all inclusive, e.g. Showing: Namespace (Article), State (Reviewed, Unreviewed), Type (Nominated for deletion, Redirects, All others), Predicted class (B-class).
  1. The article "Cleveland House, Surry Hills" will be in the result set but marked as Predicted class: C-class:

Potential issues (Copyvio) option was added to narrow down the result set.
According to db the article should be rated as B-article:

[enwiki]> select * from ores_classification where oresc_rev=865069113 and oresc_model=35;
+-----------+-----------+-------------+-------------+-------------------+--------------------+
| oresc_id  | oresc_rev | oresc_model | oresc_class | oresc_probability | oresc_is_predicted |
+-----------+-----------+-------------+-------------+-------------------+--------------------+
| 287433479 | 865069113 |          35 |           0 |             0.500 |                  0 |
+-----------+-----------+-------------+-------------+-------------------+--------------------+
1 row in set (0.00 sec)
  1. Select Predicted class (C-class) - "Cleveland House, Surry Hills" will be also in the results:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2018, 9:23 PM
Etonkovidova updated the task description. (Show Details)Oct 21 2018, 9:24 PM
SBisson claimed this task.Oct 22 2018, 1:01 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson added a project: PageCuration.
SBisson moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 468999 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/ORES@master] Fix articlequality thresholds

https://gerrit.wikimedia.org/r/468999

Change 469000 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Test an article with a score between class B and C

https://gerrit.wikimedia.org/r/469000

Change 468999 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Fix articlequality thresholds

https://gerrit.wikimedia.org/r/468999

Change 469000 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Test an article with a score between class B and C

https://gerrit.wikimedia.org/r/469000

Etonkovidova closed this task as Resolved.Oct 24 2018, 1:25 AM

Checked in testwiki wmf.1 - filters work as expected.